/**
 * Verify if two arrays of non primitive types with the "equals" function are equal.
 * Compatible with multiaddr, peer-id and others.
 */
export function arrayEquals(a, b) {
    const sort = (a, b) => a.toString().localeCompare(b.toString());
    return a.length === b.length && b.sort(sort) && a.sort(sort).every((item, index) => b[index].equals(item));
}
//# sourceMappingURL=array-equals.js.map